=head1 NAME

GStreamer::Iterator

=cut

=for position SYNOPSIS

=head1 SYNOPSIS

  foreach ($bin -> iterate_elements()) {
    do_something($_);
  }

  my $iter = $bin -> iterate_elements();
  while ($_ = $iter -> next()) {
    do_something($_);
  }

=cut



=for position DESCRIPTION

=head1 DESCRIPTION

There are two ways to use a I<GStreamer::Iterator>.  The first is to use normal
Perl looping stuff:

  foreach ($bin -> iterate_elements()) {
    do_something($_);
  }

This is very elegant and Perl-ish, but may also be a bit slower.

The alternative is to use the I<next> method:

  my $iter = $bin -> iterate_elements();
  while ($_ = $iter -> next()) {
    do_something($_);
  }

This is hardly beautiful but avoids looping over the elements unnecessarily and
is thus faster.

=cut




=head1 METHODS

=head2 scalar = $iter-E<gt>B<next> 



=cut


=head1 SEE ALSO

L<GStreamer>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

